From: Cyril Brulebois <cyril@debamax.com>
Date: Thu, 01 Dec 2022 12:48:50 +0100
Subject: Adjust service unit

Let's replace BIN and CFG variables via this patch to make sure any changes is
easily spotted.

Also, delete After=syslog.target as hinted by lintian (it's socket-activated).

--- a/config/crowdsec-custom-bouncer.service
+++ b/config/crowdsec-custom-bouncer.service
@@ -1,14 +1,12 @@
 [Unit]
 Description=The custom bouncer for CrowdSec
-After=syslog.target network.target remote-fs.target nss-lookup.target crowdsec.service
-
+After=network.target remote-fs.target nss-lookup.target crowdsec.service
+ConditionPathExists=!/var/lib/crowdsec/pending-registration
 
 [Service]
 Type=notify
-ExecStart=${BIN} -c ${CFG}/crowdsec-custom-bouncer.yaml
+ExecStart=/usr/bin/crowdsec-custom-bouncer -c /etc/crowdsec/bouncers/crowdsec-custom-bouncer.yaml
 ExecStartPost=/bin/sleep 0.1
 
 [Install]
 WantedBy=multi-user.target
-
-
